be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDHEADINGvalues

- java.lang.Object
- - java.lang.Enum<CDHEADINGvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDHEADINGvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDHEADINGvalues>

      public enum CDHEADINGvalues
      extends Enum<CDHEADINGvalues>

  Java class for CD-HEADINGvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-HEADINGvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="assessment"/>
           <enumeration value="clinical"/>
           <enumeration value="clinicalplan"/>
           <enumeration value="subjective"/>
           <enumeration value="technical"/>
           <enumeration value="technicalplan"/>
           <enumeration value="treatment"/>
           <enumeration value="userdefined"/>
           <enumeration value="history"/>
           <enumeration value="familyhistory"/>
           <enumeration value="prescription"/>
           <enumeration value="medication"/>
           <enumeration value="anamnesis"/>
           <enumeration value="examination"/>
           <enumeration value="plan"/>
           <enumeration value="outcomeevaluation"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANAMNESIS`
    `ASSESSMENT`
    `CLINICAL`
    `CLINICALPLAN`
    `EXAMINATION`
    `FAMILYHISTORY`
    `HISTORY`
    `MEDICATION`
    `OUTCOMEEVALUATION`
    `PLAN`
    `PRESCRIPTION`
    `SUBJECTIVE`
    `TECHNICAL`
    `TECHNICALPLAN`
    `TREATMENT`
    `USERDEFINED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDHEADINGvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDHEADINGvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDHEADINGvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASSESSMENT

          public static final CDHEADINGvalues ASSESSMENT

    - #### CLINICAL

          public static final CDHEADINGvalues CLINICAL

    - #### CLINICALPLAN

          public static final CDHEADINGvalues CLINICALPLAN

    - #### SUBJECTIVE

          public static final CDHEADINGvalues SUBJECTIVE

    - #### TECHNICAL

          public static final CDHEADINGvalues TECHNICAL

    - #### TECHNICALPLAN

          public static final CDHEADINGvalues TECHNICALPLAN

    - #### TREATMENT

          public static final CDHEADINGvalues TREATMENT

    - #### USERDEFINED

          public static final CDHEADINGvalues USERDEFINED

    - #### HISTORY

          public static final CDHEADINGvalues HISTORY

    - #### FAMILYHISTORY

          public static final CDHEADINGvalues FAMILYHISTORY

    - #### PRESCRIPTION

          public static final CDHEADINGvalues PRESCRIPTION

    - #### MEDICATION

          public static final CDHEADINGvalues MEDICATION

    - #### ANAMNESIS

          public static final CDHEADINGvalues ANAMNESIS

    - #### EXAMINATION

          public static final CDHEADINGvalues EXAMINATION

    - #### PLAN

          public static final CDHEADINGvalues PLAN

    - #### OUTCOMEEVALUATION

          public static final CDHEADINGvalues OUTCOMEEVALUATION

  - ### Method Detail

    - #### values

          public static CDHEADINGvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDHEADINGvalues c : CDHEADINGvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDHEADINGvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDHEADINGvalues fromValue(String v)

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.